import { r as registerInstance, d as createEvent, h } from './core-0545585c.js';

const Toolbar = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.activePage = this.currentPage;
        this.activePageEvent = createEvent(this, "activePageEvent", 7);
    }
    previousPage() {
        if (this.activePage > 1) {
            this.activePage--;
            this.activePageEvent.emit(this.activePage);
        }
    }
    nextPage() {
        if (this.activePage < this.totalPages) {
            this.activePage++;
            this.activePageEvent.emit(this.activePage);
        }
    }
    // eslint-disable-next-line @typescript-eslint/explicit-function-return-type
    render() {
        return (h("div", { class: "border" }, h("span", { class: "op06 w pa1 small dib" }, "Page ", this.activePage, " of ", this.totalPages), h("span", { class: "op06 link w pa1 small dib", onClick: () => this.previousPage() }, "Previous"), h("span", { class: "op06 link w pa1 small dib", onClick: () => this.nextPage() }, "Next"), h("span", { class: "pa1 dib" }, h("a", { class: "op06 link w small no-underline", href: this.url, target: "_blank" }, "Open file"))));
    }
    static get style() { return ".w {\n  color: #FFF;\n}\n\n.dib {\n  display: inline-block;\n}\n\n.small {\n  font-size: 15px;\n}\n\n.link {\n cursor: pointer;\n}\n\n.pa1 {\n  padding: 5px;\n}\n\n.no-underline {\n  text-decoration: none;\n}\n\n.op06 {\n  opacity: 0.6;\n}\n\n.border {\n  border-bottom: 1px #000 solid;\n}"; }
};

export { Toolbar as pdf_toolbar };
